{% set command = ["pcs", "constraint", item.name] %}

{% if item.name == "colocation" %}
{{ command.append(item.options.type) }}
{% for resource in item.options.resources %}
{{ command.append(resource) }}
{% endfor %}
{% if item.options.score is defined %}
{{ command.append(item.options.score) }}
{% endif %}
{% endif %}




{% if item.name == "order" %}
{% for resource in item.options %}
{% if resource.action is defined %}
{{ command.append(resource.action) }}
{% endif %}
{{ command.append(resource.resource) }}
{% if not loop.last %}
{{ command.append("then") }}
{% endif %}
{% endfor %}
{% endif %}

{{ command | join(' ') }}
